/ProofOfAddress/verify
using System.Net.Http.Headers;var client = new HttpClient();var request = new HttpRequestMessage{ Method = HttpMethod.Post, RequestUri = new Uri("https://verification-v2-eu.core.idscan.cloud/ProofOfAddress/verify"), Content = new MultipartFormDataContent { new StringContent("") { Headers = { ContentType = new MediaTypeHeaderValue("application/octet-stream"), ContentDisposition = new ContentDispositionHeaderValue("form-data") { Name = "DocumentImage", FileName = "file", } } }, new StringContent("{ \"additionalProperty\": \"example\" }") { Headers = { ContentType = new MediaTypeHeaderValue("application/json"), ContentDisposition = new ContentDispositionHeaderValue("form-data") { Name = "Configurations", } } }, new StringContent("{ \"additionalProperty\": \"example\" }") { Headers = { ContentType = new MediaTypeHeaderValue("application/json"), ContentDisposition = new ContentDispositionHeaderValue("form-data") { Name = "AdditionalData", } } }, },};using (var response = await client.SendAsync(request)){ response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body);}package main
import ( "fmt" "strings" "net/http" "io")
func main() {
url := "https://verification-v2-eu.core.idscan.cloud/ProofOfAddress/verify"
payload := strings.NewReader("-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"DocumentImage\"; filename=\"file\"\r\nContent-Type: application/octet-stream\r\n\r\n\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"Configurations\"\r\nContent-Type: application/json\r\n\r\n{ \"additionalProperty\": \"example\" }\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"AdditionalData\"\r\nContent-Type: application/json\r\n\r\n{ \"additionalProperty\": \"example\" }\r\n-----011000010111000001101001--\r\n")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "multipart/form-data; boundary=---011000010111000001101001")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close() body, _ := io.ReadAll(res.Body)
fmt.Println(res) fmt.Println(string(body))
}OkHttpClient client = new OkHttpClient();
MediaType mediaType = MediaType.parse("multipart/form-data; boundary=---011000010111000001101001");RequestBody body = RequestBody.create(mediaType, "-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"DocumentImage\"; filename=\"file\"\r\nContent-Type: application/octet-stream\r\n\r\n\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"Configurations\"\r\nContent-Type: application/json\r\n\r\n{ \"additionalProperty\": \"example\" }\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"AdditionalData\"\r\nContent-Type: application/json\r\n\r\n{ \"additionalProperty\": \"example\" }\r\n-----011000010111000001101001--\r\n");Request request = new Request.Builder() .url("https://verification-v2-eu.core.idscan.cloud/ProofOfAddress/verify") .post(body) .addHeader("Content-Type", "multipart/form-data; boundary=---011000010111000001101001") .build();
Response response = client.newCall(request).execute();const url = 'https://verification-v2-eu.core.idscan.cloud/ProofOfAddress/verify';const form = new FormData();form.append('DocumentImage', 'file');form.append('Configurations', '{ "additionalProperty": "example" }');form.append('AdditionalData', '{ "additionalProperty": "example" }');
const options = {method: 'POST'};
options.body = form;
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}val client = OkHttpClient()
val mediaType = MediaType.parse("multipart/form-data; boundary=---011000010111000001101001")val body = RequestBody.create(mediaType, "-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"DocumentImage\"; filename=\"file\"\r\nContent-Type: application/octet-stream\r\n\r\n\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"Configurations\"\r\nContent-Type: application/json\r\n\r\n{ \"additionalProperty\": \"example\" }\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"AdditionalData\"\r\nContent-Type: application/json\r\n\r\n{ \"additionalProperty\": \"example\" }\r\n-----011000010111000001101001--\r\n")val request = Request.Builder() .url("https://verification-v2-eu.core.idscan.cloud/ProofOfAddress/verify") .post(body) .addHeader("Content-Type", "multipart/form-data; boundary=---011000010111000001101001") .build()
val response = client.newCall(request).execute()curl --request POST \ --url https://verification-v2-eu.core.idscan.cloud/ProofOfAddress/verify \ --header 'Content-Type: multipart/form-data' \ --form DocumentImage=@file \ --form 'Configurations={ "additionalProperty": "example" }' \ --form 'AdditionalData={ "additionalProperty": "example" }'Get the authentication response of the Proof of Address A4 processed document.
IDscan Core Document POA Authentication Service endpoint allows a Proof of Address A4 document to be uploaded (Please reach out to your support representative for the “IDscan Core Authentication Guide”). The document details will be authenticated.
Authorizations
Section titled “Authorizations”- None
Parameters
Section titled “Parameters”Header Parameters
Section titled “Header Parameters”Correlation Id for the request
Request Body
Section titled “Request Body”object
A4 Document Image to be authenticated. (White image in normal light).
Key value pair for additional request configurations if needed.
object
Key value pair for any additional data.
object
Responses
Section titled “Responses”Returns a success on the Endpoint after processing the submitted address identity document/s.This code does not indicate a success on the validation of the document itself but rather a success on the call to the Endpoint.The document result is in the response body (See Response Body section below).
The response of the Proof of Address A4 document authentication journey.
object
Extracted fields from query document like first name, last name, birth date etc.
Represents an information element that is extracted or deducted from the document.
object
Extracted field name which is used to identify the field.
Field information about each source where the fields was located (viz, mrz, barcode).
Field information about each source where the fields was located (viz, mrz, barcode).
object
Extracted field name which is used to identify the field.
Source for field value (viz, pdf417_barcode, mrz, rfid, hybrid, barcode or viz).
Extracted field string value.
Sets to true if the value is in Non Latin language, false otherwise.
Area of the document where the validation check was applied.
object
Surrounding box around the extracted field.
object
X coordinate of the top left of the rectangle forming the bounding box.
Y coordinate of the top left of the rectangle forming the bounding box.
Represents the width of the bounding box.
Represents the height of the bounding box.
Document side where the validation check was applied.
Image type where the validation check was applied.
Contains any additional details.
object
Overall fraud verdict for the document (e.g. “Acceptable”, “Consider”, “High Risk”, “Inconclusive”).
Per-indicator breakdown behind IDSCore.Verify.Facade.Contracts.BaseAuthenticatePoAResponse.Result.
A single named fraud indicator behind a PoA authentication result.
object
Name of the indicator (e.g. “Scan”, “Software”, “Timestamp”).
Verdict for this indicator (e.g. “Acceptable”, “Consider”, “High Risk”, “Inconclusive”).
Human-readable explanation of the indicator’s verdict.
The response of the Proof of Address A4 document authentication journey.
object
Extracted fields from query document like first name, last name, birth date etc.
Represents an information element that is extracted or deducted from the document.
object
Extracted field name which is used to identify the field.
Field information about each source where the fields was located (viz, mrz, barcode).
Field information about each source where the fields was located (viz, mrz, barcode).
object
Extracted field name which is used to identify the field.
Source for field value (viz, pdf417_barcode, mrz, rfid, hybrid, barcode or viz).
Extracted field string value.
Sets to true if the value is in Non Latin language, false otherwise.
Area of the document where the validation check was applied.
object
Surrounding box around the extracted field.
object
X coordinate of the top left of the rectangle forming the bounding box.
Y coordinate of the top left of the rectangle forming the bounding box.
Represents the width of the bounding box.
Represents the height of the bounding box.
Document side where the validation check was applied.
Image type where the validation check was applied.
Contains any additional details.
object
Overall fraud verdict for the document (e.g. “Acceptable”, “Consider”, “High Risk”, “Inconclusive”).
Per-indicator breakdown behind IDSCore.Verify.Facade.Contracts.BaseAuthenticatePoAResponse.Result.
A single named fraud indicator behind a PoA authentication result.
object
Name of the indicator (e.g. “Scan”, “Software”, “Timestamp”).
Verdict for this indicator (e.g. “Acceptable”, “Consider”, “High Risk”, “Inconclusive”).
Human-readable explanation of the indicator’s verdict.
Example generated
{ "extractedFields": [ { "label": "example", "details": [ { "label": "example", "source": "example", "value": "example", "isNonLatin": true, "regionOfInterest": { "boundingBox": { "x": 1, "y": 1, "width": 1, "height": 1 }, "side": "example", "spectrum": "example" } } ] } ], "additionalDetails": { "additionalProperty": "example" }, "result": "example", "indicators": [ { "name": "example", "result": "example", "description": "example" } ]}The response of the Proof of Address A4 document authentication journey.
object
Extracted fields from query document like first name, last name, birth date etc.
Represents an information element that is extracted or deducted from the document.
object
Extracted field name which is used to identify the field.
Field information about each source where the fields was located (viz, mrz, barcode).
Field information about each source where the fields was located (viz, mrz, barcode).
object
Extracted field name which is used to identify the field.
Source for field value (viz, pdf417_barcode, mrz, rfid, hybrid, barcode or viz).
Extracted field string value.
Sets to true if the value is in Non Latin language, false otherwise.
Area of the document where the validation check was applied.
object
Surrounding box around the extracted field.
object
X coordinate of the top left of the rectangle forming the bounding box.
Y coordinate of the top left of the rectangle forming the bounding box.
Represents the width of the bounding box.
Represents the height of the bounding box.
Document side where the validation check was applied.
Image type where the validation check was applied.
Contains any additional details.
object
Overall fraud verdict for the document (e.g. “Acceptable”, “Consider”, “High Risk”, “Inconclusive”).
Per-indicator breakdown behind IDSCore.Verify.Facade.Contracts.BaseAuthenticatePoAResponse.Result.
A single named fraud indicator behind a PoA authentication result.
object
Name of the indicator (e.g. “Scan”, “Software”, “Timestamp”).
Verdict for this indicator (e.g. “Acceptable”, “Consider”, “High Risk”, “Inconclusive”).
Human-readable explanation of the indicator’s verdict.
Example generated
{ "extractedFields": [ { "label": "example", "details": [ { "label": "example", "source": "example", "value": "example", "isNonLatin": true, "regionOfInterest": { "boundingBox": { "x": 1, "y": 1, "width": 1, "height": 1 }, "side": "example", "spectrum": "example" } } ] } ], "additionalDetails": { "additionalProperty": "example" }, "result": "example", "indicators": [ { "name": "example", "result": "example", "description": "example" } ]}Error with the provided parameters, please, check the response provided to get more insights on the problem.
object
object
Example generated
{ "errorMessage": "example", "errors": [ "example" ]}object
Example generated
{ "errorMessage": "example", "errors": [ "example" ]}Internal error during our processing, please, get in touch with support so we can help you.
object
object
Example generated
{ "errorMessage": "example", "errors": [ "example" ]}object
Example generated
{ "errorMessage": "example", "errors": [ "example" ]}A downstream service is temporarily out of capacity, please, retry later.
object
object
Example generated
{ "errorMessage": "example", "errors": [ "example" ]}object
Example generated
{ "errorMessage": "example", "errors": [ "example" ]}